"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Reducer that inserts a value to an array
 * @param  {any}    action.data        The element to be added
 * @param  {number} action.insertIndex The index to be inserted
 */
var arrayInsertReducer = exports.arrayInsertReducer = function arrayInsertReducer() {
  var state = arguments.length <= 0 || arguments[0] === undefined ? [] : arguments[0];
  var action = arguments[1];

  var index = action.insertIndex == undefined ? state.length : action.insertIndex;
  return [].concat(_toConsumableArray(state.slice(0, index)), [action.data], _toConsumableArray(state.slice(index)));
};

/**
 * Reducer that removes an element from an array
 * @param  {number} action.deleteIndex The index to be removed
 */
var arrayDeleteReducer = exports.arrayDeleteReducer = function arrayDeleteReducer(state, action) {
  var index = action.deleteIndex;
  return [].concat(_toConsumableArray(state.slice(0, index)), _toConsumableArray(state.slice(index + 1)));
};