'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isMap = isMap;
exports.debug = debug;
exports.getCollectionElement = getCollectionElement;
exports.setCollectionElement = setCollectionElement;
exports.consoleMessage = consoleMessage;
exports.consoleWarning = consoleWarning;
exports.consoleSuccess = consoleSuccess;
exports.consoleError = consoleError;

var _colors = require('colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isMap(obj) {
  return Object.getPrototypeOf(obj) === Map.prototype || obj.constructor.name === 'Map'; // Ava has a map shim which doesn't play nicely
}

function debug(map, state, action) {
  console.log('----------------------');
  console.log('Running process');
  console.log('current map');
  console.log(map);
  console.log('current state');
  console.log(state);
  console.log('current action');
  console.log(action);
  console.log('----------------------');
}

function getCollectionElement(collection, key) {
  if (isMap(collection)) {
    return collection.get(key);
  } else {
    return collection[key];
  }
}

function setCollectionElement(collection, key, value) {
  if (isMap(collection)) {
    collection.set(key, value);
  } else {
    collection[key] = value;
  }
}

function consoleMessage(msg, debugMode) {
  if (debugMode) {
    console.log('[remerge]'.cyan + ' ' + msg);
  }
}

function consoleWarning(msg, debugMode) {
  if (debugMode) {
    console.log('[remerge]'.yellow + ' ' + msg);
  }
}

function consoleSuccess(msg, debugMode) {
  if (debugMode) {
    console.log('[remerge]'.green + ' ' + msg);
  }
}

function consoleError(msg, debugMode) {
  if (debugMode) {
    console.error('[remerge]'.red + ' ' + msg);
  }
}